Collecter les prorogations d'un consentement
curl --request GET \
--url https://egimgarsud.gimpayapp.com/api/v1/consents/{refConsent}/prorogations \
--header 'Authorization: Bearer <token>'import requests
url = "https://egimgarsud.gimpayapp.com/api/v1/consents/{refConsent}/prorogations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://egimgarsud.gimpayapp.com/api/v1/consents/{refConsent}/prorogations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"status": 123,
"timestamp": "2023-11-07T05:31:56Z",
"body": [
{
"id": 123,
"dateHeureCreation": "2023-11-07T05:31:56Z",
"dateValiditeInitiale": "2023-11-07T05:31:56Z",
"dateProrogationDemandee": "2023-11-07T05:31:56Z",
"motifProrogation": "<string>",
"motifRefusProrogation": "<string>",
"refProrogationConsentement": "<string>",
"consentement": {
"id": 123,
"dateHeureCreation": "2023-11-07T05:31:56Z",
"dateDebut": "2023-11-07T05:31:56Z",
"dateFin": "2023-11-07T05:31:56Z",
"dateHeureValidite": "2023-11-07T05:31:56Z",
"dateHeureRevocation": "2023-11-07T05:31:56Z",
"texteDeConsentementSpecifique": "<string>",
"refConditonUtilisationGen": "<string>",
"motifRevocation": "<string>",
"refUsagerDestinataire": "<string>",
"refContributeurEmetteur": "<string>",
"refConsentement": "<string>",
"numeroSerieTerminal": "<string>",
"refDemandeAchatACredit": "<string>"
}
}
]
}{
"message": "<string>",
"status": 123,
"timestamp": "2023-11-07T05:31:56Z",
"body": null
}{
"message": "<string>",
"status": 123,
"timestamp": "2023-11-07T05:31:56Z",
"body": null
}{
"message": "<string>",
"status": 123,
"timestamp": "2023-11-07T05:31:56Z",
"body": null
}Consentement général et spécifique
Collecter les prorogations d'un consentement
GET
/
api
/
v1
/
consents
/
{refConsent}
/
prorogations
Collecter les prorogations d'un consentement
Authorizations
Jeton émis par POST /api/v1/auth/token.
Path Parameters
Référence du consentement.
Collecter les instruments de paiement couverts par un consentementValider une prorogation de consentement
⌘I